-- CreateTable
CREATE TABLE "User" (
    "id" SERIAL NOT NULL,
    "email" TEXT NOT NULL,
    "name" TEXT,

    CONSTRAINT "User_pkey" PRIMARY KEY ("id")
);

-- CreateTable
CREATE TABLE "JobOffer" (
    "id" TEXT NOT NULL,
    "title" TEXT NOT NULL,
    "description" TEXT NOT NULL,
    "dateCreation" TIMESTAMP(3) NOT NULL,
    "romeCode" TEXT,
    "romeLabel" TEXT,
    "lieuTravailLibelle" TEXT,
    "postalCode" TEXT,
    "departmentCode" TEXT,
    "cityName" TEXT,
    "entrepriseNom" TEXT,
    "contractType" TEXT,
    "contractLabel" TEXT,
    "createdAt" TIMESTAMP(3) NOT NULL DEFAULT CURRENT_TIMESTAMP,
    "updatedAt" TIMESTAMP(3) NOT NULL,

    CONSTRAINT "JobOffer_pkey" PRIMARY KEY ("id")
);

-- CreateIndex
CREATE UNIQUE INDEX "User_email_key" ON "User"("email");

-- CreateIndex
CREATE UNIQUE INDEX "JobOffer_id_key" ON "JobOffer"("id");
